## ghub-plus-el 0.3

=== Makefile ===
EENVS  = PACKAGE_FILE="ghub+.el"
EENVS += PACKAGE_LISP="ghub+.el"
EENVS += PACKAGE_TESTS="test/ert-tests.el"
ifeq ($(MELPA_STABLE),true)
EENVS += PACKAGE_ARCHIVES="gnu melpa-stable"
else
EENVS += PACKAGE_ARCHIVES="gnu melpa"
endif
EENVS += PACKAGE_TEST_DEPS="dash s"
EENVS += PACKAGE_TEST_ARCHIVES="melpa"
EMAKE := $(EENVS) emacs -batch -l emake.el \
	--eval "(setq checkdoc-arguments-in-order-flag nil)" \
	--eval "(emake (pop argv))"
.PHONY: clean setup install compile test

emake.el:
	wget 'https://raw.githubusercontent.com/vermiculus/emake.el/master/emake.el'

emacs-travis.mk:
	wget 'https://raw.githubusercontent.com/flycheck/emacs-travis/master/emacs-travis.mk'

.elpa/:
	$(EMAKE) install

clean:
	rm -f *.elc		# delete compiled files
	rm -rf .elpa/		# delete dependencies
	rm -rf .elpa.test/
	rm -f emacs-travis.mk	# delete scripts
	rm -f emake.el

setup: emacs emake.el

install: .elpa/

compile:
	rm -f *.elc
	$(EMAKE) compile ~error-on-warn

test: test-ert test-checkdoc
test-ert: .elpa/
	$(EMAKE) test		# could also do $(EMAKE) test ert

test-checkdoc: .elpa/
	$(EMAKE) test checkdoc

ifeq ($(CI),true)
emacs: emacs-travis.mk		# This is CI.  Emacs may not be available, so install it.
	export PATH="$(HOME)/bin:$(PATH)"
	make -f emacs-travis.mk install_emacs
	emacs --version
else
emacs:				# This is not CI.  Emacs should already be available.
	which emacs && emacs --version
endif

## ghub-plus-el 0.1.4

=== debian/changelog ===
ghub-plus-el (0.1.4-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control:
    - S-V bump 3.9.8 -> 4.0.0 (no changes needed)
    - fix dependencies on emacs24
  * debian/docs: README.org file added

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 22 Jul 2017 13:59:58 +0200

ghub-plus-el (0.1.4-1) experimental; urgency=medium

  * Initial release (Closes: #864521)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 12 Jun 2017 12:15:07 +0200

=== debian/control ===
Source: ghub-plus-el
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends: debhelper (>= 10), dh-elpa
Standards-Version: 4.0.0
Homepage: https://github.com/vermiculus/github-plus
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ghub-plus-el.git
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ghub-plus-el.git
Testsuite: autopkgtest-pkg-elpa

Package: elpa-ghub+
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 47.0)
Conflicts: emacs24
Enhances: emacs, emacs25
Built-Using: ${misc:Built-Using}
Description: thick GitHub API client built on ghub
 Provides some sugar for `ghub'. See package `apiwrap'
 for generated function usage instructions.
 .
 Its aim is to provide the common functionality most
 helpful for application development.
 .
 Since ghub+ is built on ghub, any and all features
 you find lacking in ghub+ can be done with ghub without
 needing to dig into either package's internals.
 However, ghub+ provides some macros you may find helpful
 in development; see Extending for details.

## ghub-plus-el 0.2

=== debian/changelog ===
ghub-plus-el (0.2-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset dropped (fixed upstream)
  * debian/control: S-V bump 4.0.0 -> 4.1.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 20 Oct 2017 15:05:41 +0200

ghub-plus-el (0.1.5-2) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * debian/copyright: fix Upstream-Name
  * debian/control: fix typo in Homepage field
    (Closes: #874592)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 08 Sep 2017 23:05:47 +0200

ghub-plus-el (0.1.5-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset updated
      - 0001-Fix_package_version.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 21 Aug 2017 23:03:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 4.0.0
-Homepage: https://github.com/vermiculus/github-plus
+Standards-Version: 4.1.1
+Homepage: https://github.com/vermiculus/ghub-plus
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ghub-plus-el.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ghub-plus-el.git
 Testsuite: autopkgtest-pkg-elpa

## ghub-plus-el 0.2.1

=== debian/changelog ===
ghub-plus-el (0.2.1-2) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0001-Fix_900528.patch added (Closes: #900528)
  * debian/control:
    - S-V bump 4.1.3 -> 4.1.4 (no changes needed)
    - Vcs-* fields updated pointing to salsa
    - Maintainer field updated

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 31 May 2018 23:28:28 +0200

ghub-plus-el (0.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/: debhelper bump 10 -> 11
  * debian/control: S-V bump 4.1.1 -> 4.1.3 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 19 Jan 2018 21:09:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: ghub-plus-el
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
-Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11~), dh-elpa
+Standards-Version: 4.1.4
 Homepage: https://github.com/vermiculus/ghub-plus
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ghub-plus-el.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ghub-plus-el.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/ghub-plus-el
+Vcs-Git: https://salsa.debian.org/emacsen-team/ghub-plus-el.git
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-ghub+

## ghub-plus-el 0.3

=== debian/changelog ===
ghub-plus-el (0.3-6) unstable; urgency=medium

  * Team upload
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Tue, 26 Jan 2021 07:04:51 -0400

ghub-plus-el (0.3-5) unstable; urgency=medium

  * Team upload.
  * Regenerate source package with quilt patches

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 15:16:20 -0300

ghub-plus-el (0.3-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Sun, 25 Aug 2019 10:05:28 -0300

ghub-plus-el (0.3-2) unstable; urgency=medium

  * debian/control: drop Conflicts against emacs24
  * debian/control: S-V bump 4.1.4 -> 4.2.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 10 Oct 2018 22:21:41 +0200

ghub-plus-el (0.3-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset updated
      - 0001-Drop_Makefile.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 12 Jun 2018 00:09:58 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_elpa_test:

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/ghub-plus-$1\.tar\.gz/ \
https://github.com/vermiculus/ghub-plus/tags .*/v?(\d\S+)\.tar\.gz
